Subject: philips nino 300 - 4mb ram

From: none <[email-masked]>
Date: Sun, 28 Dec 2003 21:57:17 +0200

Hello,
   I tried to boot the precompiled kernel :
   ftp://ftp.realitydiluted.com/Nino/kernel/precompiled/vmlinux-2.4.17.gz
   using pbsdboot but
   all I can see is the display scrambled,
   and not a bootup sequence, nothing at hyperterminal set as 115200 8-N-1
   How to get it working? (booting)
Manually:
I tried to crosscompile a kernel from sources
  ftp://ftp.realitydiluted.com/Nino/kernel/
  on a x86 machine but I encountered some errors when making dep

# make dep
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -o scripts/mkdep scripts/mkdep.c
scripts/mkdep.c: In function `add_path':
scripts/mkdep.c:221: `PATH_MAX' undeclared (first use in this function)
scripts/mkdep.c:221: (Each undeclared identifier is reported only once
scripts/mkdep.c:221: for each function it appears in.)
scripts/mkdep.c:221: warning: unused variable `resolved_path'
make: *** [scripts/mkdep] Error 1
# gcc -v
Reading specs from /opt/toolchains/mips/lib/gcc-lib/mipsel-linux/3.1/specs
Configured with: ../gcc-3.1/configure --prefix=/opt/toolchains/mips --target=mipsel-linux i686-pc-linux-gnu --includedir=/opt/toolchains/mips/mipsel-linux/include --with-gxx-include-dir=/opt/toolchains/mips/mipsel-linux/include --mandir=/opt/toolchains/mips/man --infodir=/opt/toolchains/mips/info --enable-languages=c,c++ --enable-threads --enable-shared --disable-checking
Thread model: posix
gcc version 3.1
[root@crosscompiling linux]# echo $PATH
/opt/toolchains/mips/bin:/opt/toolchains/mips/mipsel-linux:/opt/toolchains/mips/mipsel-linux/bin:/usr/bin:/usr/sbin:/bin

So after modifying value PATH_MAX with 4095 in the mkdep.c I got

 # make dep
 gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -o scripts/mkdep scripts/mkdep.c
 if [ ! -f /usr/src/linux/include/asm-mips/offset.h ]; then \
  touch /usr/src/linux/include/asm-mips/offset.h; \
 fi;
 make[1]: Entering directory `/usr/src/linux/arch/mips/boot'
 make[1]: Nothing to be done for `dep'.
 make[1]: Leaving directory `/usr/src/linux/arch/mips/boot'
 scripts/mkdep -- init/*.c > .depend
 /bin/sh: scripts/mkdep: cannot execute binary file
 make: *** [dep-files] Error 126

]# cat .config |grep "CONFIG_CROSS"
 CONFIG_CROSSCOMPILE=y
 
 #file scripts/mkdep
 scripts/mkdep: ELF 32-bit LSB mips-1 executable, MIPS R3000_LE [bfd bug], version 1, dynamically linked (uses shared libs), not stripped
-- 
Thanx in advance,
 Rujinski Remus Nikolai                          mailto:[email-masked]